class WechatTeacherDataModel {
  String isBindTeacher;
  String teacherAvatar;
  String teacherUsername;
  String teacherWechatAccount;
  String teacherWxQrCode;

  WechatTeacherDataModel(
      {this.isBindTeacher,
        this.teacherAvatar,
        this.teacherUsername,
        this.teacherWechatAccount,
        this.teacherWxQrCode});

  WechatTeacherDataModel.fromJson(Map<String, dynamic> json) {
    isBindTeacher = json['is_bind_teacher'];
    teacherAvatar = json['teacher_avatar'];
    teacherUsername = json['teacher_username'];
    teacherWechatAccount = json['teacher_wechat_account'];
    teacherWxQrCode = json['teacher_wx_qr_code'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['is_bind_teacher'] = this.isBindTeacher;
    data['teacher_avatar'] = this.teacherAvatar;
    data['teacher_username'] = this.teacherUsername;
    data['teacher_wechat_account'] = this.teacherWechatAccount;
    data['teacher_wx_qr_code'] = this.teacherWxQrCode;
    return data;
  }
}
